UpdateDaemonJvm (Gradle API 8.12.1)
Description: declaration: package: org.gradle.buildconfiguration.tasks, class: UpdateDaemonJvm

Package org.gradle.buildconfiguration.tasks

# Class UpdateDaemonJvm

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.buildconfiguration.tasks.UpdateDaemonJvm

All Implemented Interfaces:
  `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `Named`, `ExtensionAware`, `Task`, `Configurable<Task>`

@DisableCachingByDefault(because="Not worth caching") @Incubating public abstract class UpdateDaemonJvm extends DefaultTask
Generates or updates the Gradle Daemon JVM criteria. This controls the version of the JVM required to run the Gradle Daemon.

Since:
  8.8

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Task

  `Task.Namer`

- ## Field Summary

  ### Fields inherited from interface org.gradle.api.Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateDaemonJvm()`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getAvailableVendors()`
  Returns the supported JVM vendors.
  `abstract Property<String>`
  `getJvmVendor()`
  The vendor of Java required to run the Gradle Daemon.
  `abstract Property<JavaLanguageVersion>`
  `getJvmVersion()`
  The version of the JVM required to run the Gradle Daemon.
  `abstract RegularFileProperty`
  `getPropertiesFile()`
  The file to write the requested daemon JVM criteria to.

  ### Methods inherited from class org.gradle.api.DefaultTask

  `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

  ### Methods inherited from class org.gradle.api.internal.AbstractTask

  `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, getAsDynamicObject, getConvention, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, setImpliesSubProjects`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.gradle.api.Task

  `doNotTrackState, getConvention, notCompatibleWithConfigurationCache`

- ## Constructor Details

  - ### UpdateDaemonJvm

    @Inject public UpdateDaemonJvm()
    Constructor.
    Since:
      8.8

- ## Method Details

  - ### getPropertiesFile

    @OutputFile @Incubating public abstract RegularFileProperty getPropertiesFile()
    The file to write the requested daemon JVM criteria to. "gradle/gradle-daemon-jvm.properties"
    Since:
      8.8

  - ### getJvmVersion

    @Input @Optional @Incubating public abstract Property<JavaLanguageVersion> getJvmVersion()
    The version of the JVM required to run the Gradle Daemon.
    Since:
      8.8

  - ### getJvmVendor

    @Input @Optional @Incubating public abstract Property<String> getJvmVendor()
    The vendor of Java required to run the Gradle Daemon.

    When unset, any vendor is acceptable.

    Since:
      8.10

  - ### getAvailableVendors

    public List<String> getAvailableVendors()
    Returns the supported JVM vendors.
    Returns:
      supported JVM vendors
    Since:
      8.10